{"openapi":"3.0.0","info":{"title":"1666.fsrv-externalTasks-s-rest-v3","description":"Интерфейс ИС 'Файловый Обмен с Партнерами' для взаимодействия с внутренними системами Банка","contact":{"name":"Подключение к ИС ФОсП","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=1970303014","email":"api-info@vtb.ru"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0.html"},"version":"3.6.0","x-restgeninfo":{}},"externalDocs":{"description":"====== Подключение к ИС ФОсП ========","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=1970303014"},"servers":[{"url":"https://p0fsrv-ap-lb.inet.vtb/api/v3","description":"PROD"},{"url":"https://rrfsrv-ap5001lv.inet.vtb/api/v3","description":"PREPROD"},{"url":"https://iffsrv-ap5051lk.test.vtb.ru/api/v3","description":"IFT"},{"url":"https://d5fsrv-apc001lk.corp.dev.vtb/api/v3","description":"DSO"},{"url":"https://hfapic-ap5001lv.inet.vtb/api/v3","description":"HOTFIX"}],"security":[{"EpaAuth":[]}],"tags":[{"name":"External incoming check content tasks","description":"Создание задач на проверку файлов для потока 'снаружи в банк'"}],"paths":{"/tasks/{processCode}/check-incoming-content":{"summary":"Проверка файла ранее загруженного в S3","description":"Проверка файла ранее загруженного в S3","post":{"tags":["External incoming check content tasks"],"summary":"Проверка входящего контента ранее положенного в грязный бакет S3","parameters":[{"$ref":"#/components/parameters/processCode"}],"description":"","operationId":"externalCheckIncomingContentTaskV3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckIncomingContentTaskRequestV3"}}},"required":true},"responses":{"200":{"description":"OK","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckIncomingContentTaskResponseV3"}}}},"400":{"description":"Bad Request.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"401":{"description":"Запрос не авторизован. Отсутствует токен доступа ЕПА в запросе.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"403":{"description":"Доступ запрещен к данному ресурсу.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"422":{"description":"Ошибка валидации структуры запроса","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"500":{"description":"Внутренняя системная ошибка.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"502":{"description":"Недействительное сообщение от вышестоящего сервиса. Отсутствует связь с вышестоящим сервисом.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"504":{"description":"Gateway Timeout","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/APICResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}}},"callbacks":{}}}},"components":{"schemas":{"GenericError":{"type":"object","description":"Универсальный тип ошибки, возвращаемой сервисом","required":["httpCode"],"properties":{"httpCode":{"type":"string","example":"400","maxLength":3,"description":"HTTP код ошибки"},"httpMessage":{"type":"string","example":"Bad Request","maxLength":255,"description":"HTTP описание ошибки"},"moreInformation":{"type":"string","example":"Параметр <requestId> отсутствует или не валиден","maxLength":255,"description":"Подробная информация об ошибке"}},"additionalProperties":false},"APICResponseHeaders":{"type":"object","description":"Модель ответных заголовков шлюза внешних API","properties":{"X-RateLimit-Limit":{"type":"string","maxLength":100,"description":"Лимит вызовов. Временное Окно лимита уточнить у поставщика API."},"X-RateLimit-Remaining":{"type":"string","maxLength":100,"description":"Оставшееся количество вызовов в временном окне. Временное Окно лимита уточнить у поставщика API."},"X-Global-Transaction-ID":{"type":"string","maxLength":28,"description":"Уникальный ID транзакции. Генерируется в API"}},"additionalProperties":false},"CheckIncomingContentTaskRequestV3":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string","description":"Ключ идемпотентности"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","description":"Список объектов","items":{"$ref":"#/components/schemas/CheckIncomingContentTaskItemRequestV3"}}},"additionalProperties":false,"description":"Формат задачи на проверку входящего контента"},"CheckIncomingContentTaskItemRequestV3":{"required":["dirtyBucketS3Key","hashAlgorithm","hashValue","length"],"type":"object","properties":{"dirtyBucketS3Key":{"maxLength":255,"type":"string","description":"Ключ объекта в грязном бакете S3","example":"report-2023.xlsx"},"length":{"maximum":999999999999999,"minimum":1,"type":"integer","description":"Размер передаваемого контента в байтах","format":"int64","example":1234567},"hashAlgorithm":{"type":"string","description":"Алгоритм используемый для расчета hash","example":"SHA-256","enum":["SHA-256","SHA-512"],"x-enum-varnames":["SHA_256","SHA_512"]},"hashValue":{"type":"string","description":"Значение hash","maxLength":50,"example":"myMXwslBoXkTDQ0olhq1QsiHRWWL4yj1V0IuoK+PYOg="},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string","description":"Желаемый ключ объекта в чистом бакете S3","example":"report-2023.xlsx"}},"additionalProperties":false,"description":"Описание входящего контента для проверки"},"CheckIncomingContentTaskResponseV3":{"required":["taskId"],"type":"object","properties":{"taskId":{"type":"string","description":"Идентификатор задачи на проверку контента","maxLength":100,"example":"some-value"}},"additionalProperties":false,"description":"Ответ на запрос проверки входящего контента"}},"responses":{},"parameters":{"processCode":{"name":"processCode","in":"path","description":"Идентификатор потока данных","required":true,"style":"simple","explode":false,"schema":{"maximum":99999999,"minimum":1,"type":"integer","format":"int32","example":22}}},"requestBodies":{},"securitySchemes":{"EpaAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"callbacks":{}},"x-tyk-configuration":{"application":{"version":"v3","provider_rate_limit":{"DSO":{"per":1,"rate":1000},"IFT":{"per":1,"rate":1000},"PREPROD":{"per":1,"rate":1000},"PROD":{"per":1,"rate":1000},"HOTFIX":{"per":1,"rate":1000}},"oas3_validate_extra_headers_request":false,"oas3_validate_extra_headers_response":false,"oas3_validate_response":false,"oas3_validate_request":false,"enable_middlewares":true,"target_url":{"DSO":"https://d5fsrv-apc001lk.corp.dev.vtb","IFT":"https://iffsrv-ap5051lk.test.vtb.ru/api/external/v3","PREPROD":"https://rrfsrv-ap5001lv.inet.vtb","PROD":"https://p0fsrv-lb01.region.vtb.ru/api/external/v3","HOTFIX":"https://hfapic-ap5001lv.inet.vtb"},"name":"1666.fsrv-externalTasks-s-rest-v3","providerMnemonic":"FSRV","providerRisId":"1666","strip_listen_path":true,"provider_type":"internal","auth_type":"JWT","global_size_limit":1048576,"enforced_timeout":{"DSO":40,"IFT":40,"PREPROD":40,"PROD":40,"HOTFIX":40},"listen_path":"/secapi/cross/fsrv/externalTasks/v3","mw_enable_validate_header_limit_request":false,"mw_enable_validate_header_limit_response":false,"mask_log":[{"xml":{"rq":[],"rs":{}},"header":{"rq":["X-TYK-API-KEY","Authorization","Cookie"],"rs":{}},"json":{"rq":["*"],"rs":{"200":["*"],"201":["*"]}},"path":"/tasks/{processCode}/check-incoming-content","method":"POST"}],"api_type":"rest","rq_validate_json":[],"middlewares":{}},"api_id":"64db62eceac559f2c8480d8e"}}